Bug 163734 - [patch] dns/ldns -- options settings not functional
Summary: [patch] dns/ldns -- options settings not functional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-31 10:30 UTC by Matthew Seaman
Modified: 2012-01-11 15:01 UTC (History)
1 user (show)

See Also:


Attachments
ldns.diff (656 bytes, patch)
2011-12-31 10:30 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2011-12-31 10:30:13 UTC
Changes to the OPTIONS configuration in the dns/ldns port have no effect.
Needs to include bsd.port.options.mk

Maintainer is CC'd

Note: this will change the default package build, since the effect at
the moment is that all options are turned off.  Means that doxygen and
its sundry dependencies will now be required.  PORTREVISION bumped
accordingly.

I haven't added this in the attached patch but one request I'd ask the
maintainer to consider would be turning on the EXAMPLES option by
default.
Comment 1 Edwin Groothuis freebsd_committer 2011-12-31 10:30:22 UTC
Maintainer of dns/ldns,

Please note that PR ports/163734 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163734

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-12-31 10:30:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jaap Akkerhuis 2012-01-04 13:58:53 UTC
	> If it contains a patch for an upgrade, an enhancement or a
	> bug fix you agree on, reply to this email stating that you
	> approve the patch and a committer will take care of it.

(1) Something strange happened with this port. It seems that when
    the last version got committed the Makefile got changed. Anyway,
    the proposed fix is correct.

(2) Matthew Seaman mentions that "doxygen and its sundry dependencies
    will now be required" but that is part of the document option
    and is only required when that option is switched on. I suspect
    that this is in his local options file and advise him to either
    run a "make config" locally or (more drastic) remove
    /var/db/ports/ldns/options to get a fresh start. Or do I miss
    something and is there something I don't understand what is
    meant?

(3) Matthew also requests "to consider be turning on the EXAMPLES
    by default". This is currently being discussed in the ldns
    community and I prefer to wait on the outcome of this discussion.
    Note that a new version of the port is in the pipeline and will
    come out in a week or so which might or might not have this
    change.

In summary, yes, go ahead with this change (or wait for the new
version).

Thanks,

	jaap
Comment 4 Michael Scheidell freebsd_committer 2012-01-11 14:45:47 UTC
State Changed
From-To: feedback->open

maintainer feedback ack. 


Comment 5 Michael Scheidell freebsd_committer 2012-01-11 14:45:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-01-11 14:59:20 UTC
scheidell    2012-01-11 14:59:06 UTC

  FreeBSD ports repository

  Modified files:
    dns/ldns             Makefile 
  Log:
  - Need to include bsd.port.options.mk to make OPTIONS work [1]
  
  PR:             ports/163734 [1]
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> [1]
  Approved by:    Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer), gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.29      +3 -0      ports/dns/ldns/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2012-01-11 15:00:47 UTC
State Changed
From-To: open->closed

Committed, Thanks.